/****************************************************************************
**
**    Friendly FM - The Friendly FM Widget
**    Copyright (C) 2011 Percy Leonhardt
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
****************************************************************************/

#include "ffmsimplebutton.h"

FFMSimpleButton::FFMSimpleButton(const char * backgroundPath, const char * backgroundPressedPath, const char * iconPath, QWidget *parent)
    : FFMButton(backgroundPath, backgroundPressedPath, parent)
    , mIcon(iconPath)
{
    mIconPos.setX((mBackground.width() - mIcon.width()) / 2);
    mIconPos.setY((mBackground.height() - mIcon.height()) / 2);
}

void FFMSimpleButton::paintEvent(QPaintEvent *event)
{
    FFMButton::paintEvent(event);

    QPainter p(this);
    p.drawPixmap(mIconPos, mIcon);
    p.end();
}
